INSTALL_NAME_TOOL(1)

NAME
install_name_tool - change dynamic shared library install names

SYNOPSIS
install_name_tool [-change old new ] ... [-id name] file

DESCRIPTION
Install_name_tool changes the dynamic shared library install names recorded in a Mach-O binary. For this tool to work when the install names are larger the binary should be built with the ld(1) -headerpad_max_install_names option.

-change old new
    Changes the dependent shared library install name old to new in the specified Mach-O binary. More than one of these options can be specified. If the Mach-O binary does not contain the old install name in a specified -change option the option is ignored.

-id name
    Changes the shared library identification name of a dynamic shared library to name. If the Mach-O binary is not a dynamic shared library and the -id option is specified it is ignored.

SEE ALSO
ld(1)